Subject: [dns-privacy] Nagios/monitoring plugin for a DNS-over-TLS server?

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 22 Dec 2016 09:44:36 +0100

Not yet an official plugin <https://www.monitoring-plugins.org/> for
monitoring my DNS-over-TLS server (nothing in
<https://portal.sinodun.com/wiki/display/TDNS/DNS-over-TLS+implementations>).
Should I develop one at the next hackathon in Chicago? :-)

I assume it is possible/easy with C/getdns and/or Go DNS. I would like
the plugin to:

* obviously, connect to the server over port 853 and issue a given DNS
request and check the result (like check_dig
<https://www.monitoring-plugins.org/doc/man/check_dig.html> does)

* but also be able to test the expiration of the certificate (I plan
to use Let's Encrypt and expiration is a serious concern) like several
monitoring plugins do (like check_http
<https://www.monitoring-plugins.org/doc/man/check_http.html>)

* bonus, being able to force some TLS parameters (minimum version,
etc)

Any idea?